你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn。

Knowledge Retrieval - Retrieve

知识库从备份存储中获取相关数据。

POST {endpoint}/knowledgebases('{knowledgeBaseName}')/retrieve?api-version=2026-04-01

URI 参数

名称 在 必需 类型 说明
endpoint
path True

string (uri)

搜索服务的终结点 URL。

knowledgeBaseName
path True

string

知识库的名称。

api-version
query True

string

minLength: 1

用于此操作的 API 版本。

请求头

名称 必需 类型 说明
Accept

Accept

接受(Accept)首部。

x-ms-client-request-id

string (uuid)

请求的不透明、全局唯一的客户端生成的字符串标识符。

请求正文

名称 类型 说明
includeActivity

boolean

指示检索结果应包括活动信息。

intents KnowledgeRetrievalIntent[]:

KnowledgeRetrievalSemanticIntent[]

无需模型查询规划即可执行的预期查询列表。

knowledgeSourceParams KnowledgeSourceParams[]:

知识源的运行时参数列表。

maxOutputSizeInTokens

integer (int32)

限制输出中内容的最大大小。

maxRuntimeInSeconds

integer (int32)

最大运行时间(以秒为单位)。

响应

名称 类型 说明
200 OK

KnowledgeBaseRetrievalResponse

成功取回。

Other Status Codes

KnowledgeBaseRetrievalResponse

部分提取反应。

Other Status Codes

ErrorResponse

意外的错误响应。

安全性

api-key

类型: apiKey
在: header

OAuth2Auth

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

作用域

名称 说明
https://search.azure.com/.default

示例

KnowledgeBaseRetrieve
KnowledgeBaseRetrieveWithIntents

KnowledgeBaseRetrieve

示例请求

POST https://exampleservice.search.windows.net/knowledgebases('base-example-index')/retrieve?api-version=2026-04-01


{
  "maxRuntimeInSeconds": 60,
  "maxOutputSizeInTokens": 100000,
  "includeActivity": true,
  "knowledgeSourceParams": [
    {
      "filterAddOn": "foo eq bar",
      "knowledgeSourceName": "ks-example-index",
      "includeReferences": true,
      "includeReferenceSourceData": true,
      "rerankerThreshold": 2.1,
      "kind": "searchIndex"
    }
  ]
}

示例响应

{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "modelQueryPlanning",
      "id": 0,
      "inputTokens": 11,
      "outputTokens": 22,
      "elapsedMs": 10
    },
    {
      "type": "searchIndex",
      "id": 1,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "hello world",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "searchIndex",
      "id": 2,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "hello world two",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "agenticReasoning",
      "id": 3,
      "reasoningTokens": 74
    },
    {
      "type": "modelAnswerSynthesis",
      "id": 4,
      "inputTokens": 664,
      "outputTokens": 1328,
      "elapsedMs": 10
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}
{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "modelQueryPlanning",
      "id": 0,
      "inputTokens": 11,
      "outputTokens": 22,
      "elapsedMs": 10
    },
    {
      "type": "searchIndex",
      "id": 1,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "hello world",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "web",
      "id": 2,
      "knowledgeSourceName": "ks-preview-web",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 10,
      "elapsedMs": 2345,
      "error": {
        "code": "403",
        "message": "The error message",
        "details": [],
        "additionalInfo": [
          {
            "type": "SomeErrorType",
            "info": {
              "someProperty": "Some value"
            }
          }
        ]
      }
    },
    {
      "type": "agenticReasoning",
      "id": 3,
      "reasoningTokens": 74
    },
    {
      "type": "modelAnswerSynthesis",
      "id": 4,
      "inputTokens": 664,
      "outputTokens": 1328,
      "elapsedMs": 10
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}

KnowledgeBaseRetrieveWithIntents

示例请求

POST https://exampleservice.search.windows.net/knowledgebases('base-example-index')/retrieve?api-version=2026-04-01


{
  "intents": [
    {
      "search": "foo",
      "type": "semantic"
    }
  ],
  "maxRuntimeInSeconds": 60,
  "maxOutputSizeInTokens": 100000,
  "includeActivity": true,
  "knowledgeSourceParams": [
    {
      "filterAddOn": "foo eq bar",
      "knowledgeSourceName": "ks-example-index",
      "includeReferences": true,
      "includeReferenceSourceData": true,
      "rerankerThreshold": 2.1,
      "kind": "searchIndex"
    }
  ]
}

示例响应

{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "searchIndex",
      "id": 0,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "foo",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "agenticReasoning",
      "id": 1,
      "reasoningTokens": 37
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}
{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "searchIndex",
      "id": 0,
      "knowledgeSourceName": "ks-example-index",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "foo",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "web",
      "id": 1,
      "knowledgeSourceName": "ks-preview-web",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 10,
      "elapsedMs": 2345,
      "error": {
        "code": "403",
        "message": "The error message",
        "details": [],
        "additionalInfo": [
          {
            "type": "SomeErrorType",
            "info": {
              "someProperty": "Some value"
            }
          }
        ]
      }
    },
    {
      "type": "agenticReasoning",
      "id": 2,
      "reasoningTokens": 37
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}

定义

名称 说明
Accept

接受(Accept)首部。

AzureBlobKnowledgeSourceParams

指定 Azure Blob 知识源的运行时参数

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

所有 Azure 资源管理器 API 的通用错误响应,用于返回失败操作的错误细节。 (这也遵循 OData 错误响应格式)。

IndexedOneLakeKnowledgeSourceParams

指定索引 OneLake 知识源的运行时参数

KnowledgeBaseActivityRecordType

活动记录的类型。

KnowledgeBaseAgenticReasoningActivityRecord

表示代理推理活动记录。

KnowledgeBaseAzureBlobActivityArguments

表示运行 Azure Blob 检索活动时使用的参数。

KnowledgeBaseAzureBlobActivityRecord

表示 Azure Blob 检索活动记录。

KnowledgeBaseAzureBlobReference

表示 Azure Blob 存储文档引用。

KnowledgeBaseErrorAdditionalInfo

资源管理错误附加信息。

KnowledgeBaseErrorDetail

错误详细信息。

KnowledgeBaseImageContent

图片内容。

KnowledgeBaseIndexedOneLakeActivityArguments

表示索引 OneLake 检索活动所用的参数。

KnowledgeBaseIndexedOneLakeActivityRecord

表示一个索引化的OneLake检索活动记录。

KnowledgeBaseIndexedOneLakeReference

表示一个索引的OneLake文档引用。

KnowledgeBaseMessage

自然语言消息样式对象。

KnowledgeBaseMessageContentType

消息内容的类型。

KnowledgeBaseMessageImageContent

图像消息类型。

KnowledgeBaseMessageTextContent

短信类型。

KnowledgeBaseModelWebSummarizationActivityRecord

表示一个大型语言模型(LLM)网络摘要活动记录。

KnowledgeBaseReferenceType

引用的类型。

KnowledgeBaseRetrievalRequest

检索请求的输入协定。

KnowledgeBaseRetrievalResponse

检索响应的输出协定。

KnowledgeBaseSearchIndexActivityArguments

表示运行搜索索引检索活动时使用的参数。

KnowledgeBaseSearchIndexActivityRecord

表示搜索索引检索活动记录。

KnowledgeBaseSearchIndexReference

表示 Azure 搜索文档引用。

KnowledgeBaseWebActivityArguments

表示网页检索活动所用的参数。

KnowledgeBaseWebActivityRecord

表示网络检索活动记录。

KnowledgeBaseWebReference

表示 Web 文档引用。

KnowledgeRetrievalIntentType

要使用的知识库配置类型。

KnowledgeRetrievalMinimalReasoningEffort

以最少的推理工作运行知识检索。

KnowledgeRetrievalReasoningEffortKind

检索期间要使用的工作量。

KnowledgeRetrievalSemanticIntent

语义查询意图。

KnowledgeSourceKind

知识来源的那种。

SearchIndexFieldReference

搜索索引字段参考。

SearchIndexKnowledgeSourceParams

指定搜索索引知识源的运行时参数

WebKnowledgeSourceParams

指定 Web 知识源的运行时参数

Accept

接受(Accept)首部。

值 说明
application/json;odata.metadata=minimal

AzureBlobKnowledgeSourceParams

指定 Azure Blob 知识源的运行时参数

名称 类型 说明
includeReferenceSourceData

boolean

指示引用是否应在其有效负载中包含检索期间获得的结构化数据。

includeReferences

boolean

指示是否应为从此源检索的数据包含引用。

kind string:

azureBlob

知识源的类型。

knowledgeSourceName

string

参数应用到的索引的名称。

rerankerThreshold

number (float)

所有检索到的文档必须满足重新排序器阈值才能包含在响应中。

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

所有 Azure 资源管理器 API 的通用错误响应,用于返回失败操作的错误细节。 (这也遵循 OData 错误响应格式)。

名称 类型 说明
error

ErrorDetail

错误对象。

IndexedOneLakeKnowledgeSourceParams

指定索引 OneLake 知识源的运行时参数

名称 类型 说明
includeReferenceSourceData

boolean

指示引用是否应在其有效负载中包含检索期间获得的结构化数据。

includeReferences

boolean

指示是否应为从此源检索的数据包含引用。

kind string:

indexedOneLake

知识源的类型。

knowledgeSourceName

string

参数应用到的索引的名称。

rerankerThreshold

number (float)

所有检索到的文档必须满足重新排序器阈值才能包含在响应中。

KnowledgeBaseActivityRecordType

活动记录的类型。

值 说明
searchIndex

搜索索引检索活动。

azureBlob

Azure Blob retrieval activity.

indexedOneLake

索引 OneLake 检索活动。

web

网络检索活动。

modelWebSummarization

LLM 网络摘要活动。

agenticReasoning

能动推理活动。

KnowledgeBaseAgenticReasoningActivityRecord

表示代理推理活动记录。

名称 类型 说明
elapsedMs

integer (int32)

检索活动的经过时间(以毫秒为单位)。

error

KnowledgeBaseErrorDetail

解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。

id

integer (int32)

活动记录的 ID。

reasoningTokens

integer (int32)

代理推理的输入标记数。

retrievalReasoningEffort KnowledgeRetrievalReasoningEffort:

KnowledgeRetrievalMinimalReasoningEffort

检索推理努力配置。

type string:

agenticReasoning

作业记录的类型。

KnowledgeBaseAzureBlobActivityArguments

表示运行 Azure Blob 检索活动时使用的参数。

名称 类型 说明
search

string

用于查询 blob 内容的搜索字符串。

KnowledgeBaseAzureBlobActivityRecord

表示 Azure Blob 检索活动记录。

名称 类型 说明
azureBlobArguments

KnowledgeBaseAzureBlobActivityArguments

检索活动的 azure blob 参数。

count

integer (int32)

检索到的足够相关以通过重新排序阈值的文档计数。

elapsedMs

integer (int32)

检索活动的经过时间(以毫秒为单位)。

error

KnowledgeBaseErrorDetail

解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。

id

integer (int32)

活动记录的 ID。

knowledgeSourceName

string

检索活动的知识源。

queryTime

string (date-time)

此检索活动的查询时间。

type string:

azureBlob

作业记录的类型。

KnowledgeBaseAzureBlobReference

表示 Azure Blob 存储文档引用。

名称 类型 说明
activitySource

integer (int32)

引用的源活动 ID。

blobUrl

string

引用的 blob URL。

id

string

引用的 ID。

rerankerScore

number (float)

文档引用的重新排序器分数。

sourceData

参考文献的来源数据。

type string:

azureBlob

引用的类型。

KnowledgeBaseErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

附加信息。

type

string

附加信息类型。

KnowledgeBaseErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

KnowledgeBaseErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

KnowledgeBaseErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

KnowledgeBaseImageContent

图片内容。

名称 类型 说明
url

string (uri)

图像的 URL。

KnowledgeBaseIndexedOneLakeActivityArguments

表示索引 OneLake 检索活动所用的参数。

名称 类型 说明
search

string

用于查询索引 OneLake 内容的搜索字符串。

KnowledgeBaseIndexedOneLakeActivityRecord

表示一个索引化的OneLake检索活动记录。

名称 类型 说明
count

integer (int32)

检索到的足够相关以通过重新排序阈值的文档计数。

elapsedMs

integer (int32)

检索活动的经过时间(以毫秒为单位)。

error

KnowledgeBaseErrorDetail

解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。

id

integer (int32)

活动记录的 ID。

indexedOneLakeArguments

KnowledgeBaseIndexedOneLakeActivityArguments

索引的OneLake检索活动论证。

knowledgeSourceName

string

检索活动的知识源。

queryTime

string (date-time)

此检索活动的查询时间。

type string:

indexedOneLake

作业记录的类型。

KnowledgeBaseIndexedOneLakeReference

表示一个索引的OneLake文档引用。

名称 类型 说明
activitySource

integer (int32)

引用的源活动 ID。

docUrl

string

用于参考的文档 URL。

id

string

引用的 ID。

rerankerScore

number (float)

文档引用的重新排序器分数。

sourceData

参考文献的来源数据。

type string:

indexedOneLake

引用的类型。

KnowledgeBaseMessage

自然语言消息样式对象。

名称 类型 说明
content KnowledgeBaseMessageContent[]:

消息的内容。

role

string

工具响应的作用。

KnowledgeBaseMessageContentType

消息内容的类型。

值 说明
text

短信内容类型。

image

图像消息内容类型。

KnowledgeBaseMessageImageContent

图像消息类型。

名称 类型 说明
image

KnowledgeBaseImageContent

图片内容。

type string:

image

消息的类型

KnowledgeBaseMessageTextContent

短信类型。

名称 类型 说明
text

string

文本内容。

type string:

text

消息的类型

KnowledgeBaseModelWebSummarizationActivityRecord

表示一个大型语言模型(LLM)网络摘要活动记录。

名称 类型 说明
elapsedMs

integer (int32)

检索活动的经过时间(以毫秒为单位)。

error

KnowledgeBaseErrorDetail

解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。

id

integer (int32)

活动记录的 ID。

inputTokens

integer (int32)

LLM网络摘要活动的输入标记数量。

outputTokens

integer (int32)

LLM网络摘要活动的输出令牌数量。

type string:

modelWebSummarization

作业记录的类型。

KnowledgeBaseReferenceType

引用的类型。

值 说明
searchIndex

搜索索引文档参考。

azureBlob

Azure Blob document reference.

indexedOneLake

索引 OneLake 文档参考。

web

网页文档引用。

KnowledgeBaseRetrievalRequest

检索请求的输入协定。

名称 类型 说明
includeActivity

boolean

指示检索结果应包括活动信息。

intents KnowledgeRetrievalIntent[]:

KnowledgeRetrievalSemanticIntent[]

无需模型查询规划即可执行的预期查询列表。

knowledgeSourceParams KnowledgeSourceParams[]:

知识源的运行时参数列表。

maxOutputSizeInTokens

integer (int32)

限制输出中内容的最大大小。

maxRuntimeInSeconds

integer (int32)

最大运行时间(以秒为单位)。

KnowledgeBaseRetrievalResponse

检索响应的输出协定。

名称 类型 说明
activity KnowledgeBaseActivityRecord[]:

用于跟踪进度和计费影响的活动记录。

references KnowledgeBaseReference[]:

响应中使用的检索数据的引用。

response

KnowledgeBaseMessage[]

回复消息。

KnowledgeBaseSearchIndexActivityArguments

表示运行搜索索引检索活动时使用的参数。

名称 类型 说明
filter

string

筛选器字符串。

search

string

用于查询搜索索引的搜索字符串。

searchFields

SearchIndexFieldReference[]

搜索了哪些字段。

semanticConfigurationName

string

搜索索引中使用了什么语义配置?

sourceDataFields

SearchIndexFieldReference[]

搜索时选择了哪些字段。

KnowledgeBaseSearchIndexActivityRecord

表示搜索索引检索活动记录。

名称 类型 说明
count

integer (int32)

检索到的足够相关以通过重新排序阈值的文档计数。

elapsedMs

integer (int32)

检索活动的经过时间(以毫秒为单位)。

error

KnowledgeBaseErrorDetail

解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。

id

integer (int32)

活动记录的 ID。

knowledgeSourceName

string

检索活动的知识源。

queryTime

string (date-time)

此检索活动的查询时间。

searchIndexArguments

KnowledgeBaseSearchIndexActivityArguments

检索活动的搜索索引参数。

type string:

searchIndex

作业记录的类型。

KnowledgeBaseSearchIndexReference

表示 Azure 搜索文档引用。

名称 类型 说明
activitySource

integer (int32)

引用的源活动 ID。

docKey

string

引用的文档密钥。

id

string

引用的 ID。

rerankerScore

number (float)

文档引用的重新排序器分数。

sourceData

参考文献的来源数据。

type string:

searchIndex

引用的类型。

KnowledgeBaseWebActivityArguments

表示网页检索活动所用的参数。

名称 类型 说明
count

integer (int32)

返回的网页结果数量。

freshness

string

取回活动的新鲜度。

language

string

检索活动的语言。

market

string

回收活动的市场。

search

string

用于查询网络的搜索字符串。

KnowledgeBaseWebActivityRecord

表示网络检索活动记录。

名称 类型 说明
count

integer (int32)

检索到的足够相关以通过重新排序阈值的文档计数。

elapsedMs

integer (int32)

检索活动的经过时间(以毫秒为单位)。

error

KnowledgeBaseErrorDetail

解释作失败原因的错误详细信息。 仅当活动不成功时,才会包含此属性。

id

integer (int32)

活动记录的 ID。

knowledgeSourceName

string

检索活动的知识源。

queryTime

string (date-time)

此检索活动的查询时间。

type string:

web

作业记录的类型。

webArguments

KnowledgeBaseWebActivityArguments

网络论证支持检索活动。

KnowledgeBaseWebReference

表示 Web 文档引用。

名称 类型 说明
activitySource

integer (int32)

引用的源活动 ID。

id

string

引用的 ID。

rerankerScore

number (float)

文档引用的重新排序器分数。

sourceData

参考文献的来源数据。

title

string

Web 文档的标题。

type string:

web

引用的类型。

url

string (uri)

引用数据的来源 URL。

KnowledgeRetrievalIntentType

要使用的知识库配置类型。

值 说明
semantic

自然语言语义查询意向。

KnowledgeRetrievalMinimalReasoningEffort

以最少的推理工作运行知识检索。

名称 类型 说明
kind string:

minimal

那种推理努力。

KnowledgeRetrievalReasoningEffortKind

检索期间要使用的工作量。

值 说明
minimal

不执行任何源选择、查询规划或迭代搜索。

KnowledgeRetrievalSemanticIntent

语义查询意图。

名称 类型 说明
search

string

要执行的语义查询

type string:

semantic

意向的类型。

KnowledgeSourceKind

知识来源的那种。

值 说明
searchIndex

从搜索索引中读取数据的知识源。

azureBlob

用于读取数据并将其从 Azure Blob 存储引入搜索索引的知识源。

indexedOneLake

一个读取索引 OneLake 数据的知识源。

web

一个从网络读取数据的知识源。

SearchIndexFieldReference

搜索索引字段参考。

名称 类型 说明
name

string

字段的名称。

SearchIndexKnowledgeSourceParams

指定搜索索引知识源的运行时参数

名称 类型 说明
filterAddOn

string

应用于索引的筛选条件(例如,“State eq VA”)。

includeReferenceSourceData

boolean

指示引用是否应在其有效负载中包含检索期间获得的结构化数据。

includeReferences

boolean

指示是否应为从此源检索的数据包含引用。

kind string:

searchIndex

知识源的类型。

knowledgeSourceName

string

参数应用到的索引的名称。

rerankerThreshold

number (float)

所有检索到的文档必须满足重新排序器阈值才能包含在响应中。

WebKnowledgeSourceParams

指定 Web 知识源的运行时参数

名称 类型 说明
count

integer (int32)

要返回的 Web 结果数。

freshness

string

网络结果的新鲜度。

includeReferenceSourceData

boolean

指示引用是否应在其有效负载中包含检索期间获得的结构化数据。

includeReferences

boolean

指示是否应为从此源检索的数据包含引用。

kind string:

web

知识源的类型。

knowledgeSourceName

string

参数应用到的索引的名称。

language

string

网络结果的语言。

market

string

网络结果的市场。

rerankerThreshold

number (float)

所有检索到的文档必须满足重新排序器阈值才能包含在响应中。